{% extends 'public/_public.layout.html.twig' %}

{% block content %}

  <main class="narrow-container fr-py-5w" role="main">
    <button class="fr-btn" id="enable-notifications-btn">Activer les notifications</button>
  </main>

  {% cspscript %}
  <script>
    document.getElementById('enable-notifications-btn').addEventListener('click', function() {
      WonderPush.push(function() {
        WonderPush.subscribeToNotifications()
          .then(function() {
            console.log('L’utilisateur s’est abonné avec succès aux notifications.');
            alert('Vous êtes maintenant abonné aux notifications !');
          })
          .catch(function(error) {
            console.error('L’utilisateur a refusé les notifications, ou une erreur est survenue.', error);
            alert('Impossible de vous abonner aux notifications ! Cause à communiquer au support en cas de besoin : ' + error.message);
          });
      });
    });
  </script>
  {% endcspscript %}

{% endblock %}

{% block title %}Paramétrer mes notifications{% endblock %}
